summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-07 23:18:12 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-07 23:18:12 +0000
commitbf50e33e2be1f9acba7427fb6736378d72355c7e (patch)
tree5ede6fe44fd52a00fc11ec6ba5660f95a9643d5d
parentb9b81e3e56a32ff541854601c9d1076533f0a1cf (diff)
downloadbaldeagleos-repo-bf50e33e2be1f9acba7427fb6736378d72355c7e.tar.gz
baldeagleos-repo-bf50e33e2be1f9acba7427fb6736378d72355c7e.tar.xz
baldeagleos-repo-bf50e33e2be1f9acba7427fb6736378d72355c7e.zip
Updating liguros repo
-rw-r--r--eclass/python-utils-r1.eclass12
-rw-r--r--games-util/steam-launcher/Manifest2
-rw-r--r--games-util/steam-launcher/metadata.xml19
-rw-r--r--games-util/steam-launcher/steam-launcher-1.0.0.64.ebuild (renamed from games-util/steam-launcher/steam-launcher-1.0.0.67.ebuild)15
-rw-r--r--gnome-extra/nemo-fileroller/Manifest4
-rw-r--r--gnome-extra/nemo-fileroller/nemo-fileroller-3.2.0.ebuild27
-rw-r--r--gnome-extra/nemo-fileroller/nemo-fileroller-4.4.0.ebuild27
-rw-r--r--gnome-extra/nemo-fileroller/nemo-fileroller-4.6.0.ebuild31
-rw-r--r--profiles/base/package.use.force1
-rw-r--r--profiles/desc/python_single_target.desc1
-rw-r--r--profiles/desc/python_targets.desc1
11 files changed, 72 insertions, 68 deletions
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index f1dfd047a61e..8a44e28b285e 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -41,7 +41,7 @@ inherit toolchain-funcs
_PYTHON_ALL_IMPLS=(
pypy3
python2_7
- python3_5 python3_6 python3_7 python3_8 python3_9 python3_10
+ python3_6 python3_7 python3_8 python3_9 python3_10
)
readonly _PYTHON_ALL_IMPLS
@@ -53,7 +53,7 @@ _PYTHON_HISTORICAL_IMPLS=(
jython2_7
pypy pypy1_{8,9} pypy2_0
python2_{5,6}
- python3_{1,2,3,4}
+ python3_{1,2,3,4,5}
)
readonly _PYTHON_HISTORICAL_IMPLS
@@ -89,10 +89,10 @@ _python_impl_supported() {
# keep in sync with _PYTHON_ALL_IMPLS!
# (not using that list because inline patterns shall be faster)
case "${impl}" in
- python2_7|python3_[56789]|python3_10|pypy3)
+ python2_7|python3_[6789]|python3_10|pypy3)
return 0
;;
- jython2_7|pypy|pypy1_[89]|pypy2_0|python2_[56]|python3_[1234])
+ jython2_7|pypy|pypy1_[89]|pypy2_0|python2_[56]|python3_[12345])
return 1
;;
*)
@@ -375,7 +375,7 @@ _python_export() {
local val
case "${impl}" in
- python2*|python3.5|python3.6|python3.7*)
+ python2*|python3.6|python3.7*)
# python* up to 3.7
val=$($(tc-getPKG_CONFIG) --libs ${impl/n/n-}) || die
;;
@@ -970,7 +970,7 @@ _python_wrapper_setup() {
"${workdir}"/pkgconfig/python${pyver}.pc || die
# Python 3.8+.
- if [[ ${EPYTHON} != python[23].[567] ]] || [[ ${EPYTHON} != python3.10 ]]; then
+ if [[ ${EPYTHON} != python[23].[67] ]] ; then
ln -s "${EPREFIX}"/usr/$(get_libdir)/pkgconfig/${EPYTHON/n/n-}-embed.pc \
"${workdir}"/pkgconfig/python${pyver}-embed.pc || die
fi
diff --git a/games-util/steam-launcher/Manifest b/games-util/steam-launcher/Manifest
index baad77293f63..3a93a1410923 100644
--- a/games-util/steam-launcher/Manifest
+++ b/games-util/steam-launcher/Manifest
@@ -1 +1 @@
-DIST steam_1.0.0.67.tar.gz 2959520 BLAKE2B 1a47f1d5a1fea7ba01c250f8765b2ee8bea87f0cd242ae52bdc78b51fb05c43c333efb667d3e7cf7b401a2fa5131efce176cead3c5ecdb214257fb2da75a36cf SHA512 74af8019b9d216c02860654e9a0162b1089b979e63bbe13645be2ee79414f896e9e57cbb85d762725756e99ed6333a75c8712a827dd88de2b3631bc119b6b0b8
+DIST steam_1.0.0.64.tar.gz 3013735 BLAKE2B f8e19a768ecc507fa503ad774ce2bbf31f79f8bbaf205d687153a523761cb067ae83b718a0954ec6389dbdc7b97001932163efd888de7c73a12e1dec7e429dab SHA512 4a287b993d0ba6f49041d116512a28ca827eeac280808b70542d304f0de2d489be1f75d66d614f65ae11686a78e0d026b12e983ead7843e9ad0a28f1d21bdf4c
diff --git a/games-util/steam-launcher/metadata.xml b/games-util/steam-launcher/metadata.xml
deleted file mode 100644
index 907f2c278497..000000000000
--- a/games-util/steam-launcher/metadata.xml
+++ /dev/null
@@ -1,19 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="person">
- <email>dev@kicherer.org</email>
- <name>Mario Kicherer</name>
- </maintainer>
- <longdescription>
- This ebuild installs common files for the Steam environment,
- like bootstrap archive and icons, but not the client itself.
- </longdescription>
- <upstream>
- <bugs-to>https://github.com/anyc/steam-overlay</bugs-to>
- </upstream>
- <use>
- <flag name='steamruntime'>Use the official steam runtime libraries</flag>
- </use>
- <origin>steam-overlay</origin>
-</pkgmetadata>
diff --git a/games-util/steam-launcher/steam-launcher-1.0.0.67.ebuild b/games-util/steam-launcher/steam-launcher-1.0.0.64.ebuild
index 87f35fafd126..350d9e8c7d5b 100644
--- a/games-util/steam-launcher/steam-launcher-1.0.0.67.ebuild
+++ b/games-util/steam-launcher/steam-launcher-1.0.0.64.ebuild
@@ -6,16 +6,16 @@ EAPI=7
# Please report bugs/suggestions on: https://github.com/anyc/steam-overlay
# or come to #gentoo-gamerlay in freenode IRC
-inherit linux-info prefix xdg-utils
+inherit linux-info prefix udev xdg-utils
DESCRIPTION="Installer, launcher and supplementary files for Valve's Steam client"
HOMEPAGE="https://steampowered.com"
-SRC_URI="https://repo.steampowered.com/steam/archive/precise/steam_${PV}.tar.gz"
+SRC_URI="https://repo-steampowered-com.steamos.cloud/steam/pool/steam/s/steam/steam_${PV}.tar.gz"
LICENSE="ValveSteamLicense MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="+joystick +steamruntime +udev"
+IUSE="+steamruntime"
RESTRICT="bindist mirror test"
RDEPEND="
@@ -27,9 +27,6 @@ RDEPEND="
x11-terms/xterm
)
- joystick? (
- udev? ( games-util/game-device-udev-rules )
- )
steamruntime? (
virtual/opengl[abi_x86_32]
x11-libs/libX11[abi_x86_32]
@@ -89,6 +86,9 @@ src_prepare() {
xdg_environment_reset
default
+ sed -i 's:TAG+="uaccess":\0, TAG+="udev-acl":g' \
+ subprojects/steam-devices/*.rules || die
+
sed \
-e "s#@@PVR@@#${PVR}#g" \
-e "s#@@GENTOO_LD_LIBRARY_PATH@@#$(multilib_path_entries debiancompat fltk)#g" \
@@ -110,11 +110,14 @@ src_install() {
dodoc README debian/changelog
doman steam.6
+
+ udev_dorules subprojects/steam-devices/60-steam-{input,vr}.rules
}
pkg_postinst() {
xdg_icon_cache_update
xdg_desktop_database_update
+ udev_reload
elog "Execute ${EPREFIX}/usr/bin/steam to download and install the actual"
elog "client into your home folder. After installation, the script"
diff --git a/gnome-extra/nemo-fileroller/Manifest b/gnome-extra/nemo-fileroller/Manifest
index 21000abd033a..eb25f7e430ae 100644
--- a/gnome-extra/nemo-fileroller/Manifest
+++ b/gnome-extra/nemo-fileroller/Manifest
@@ -1,2 +1,2 @@
-DIST nemo-extensions-4.6.0.tar.gz 754433 BLAKE2B 83ce84f78a1b991edc7eca156ce7ddb792b70e467004671a00a713227488ca96576c9ab280805eff71090dc47b6eecfdeec636aa4e20d046e38241cba95de987 SHA512 b496732b984f3d4f3fc93dc96ef65b711eaa55bb9c777c19ab224e7ab138f8c6784aa2f16e9a0cc77e79581ed7a04a439955369804dbf930b835df042d7dbd32
-EBUILD nemo-fileroller-4.6.0.ebuild 633 BLAKE2B 7b754a69a1fa0ce08c74eb153eec2fc791cf79b3ddccd8ec65f26a0326e40ea41825eab08632fb7d0eb2dd52f128350ced9ce703ae5ba77479f46dd3a37dc17a SHA512 31853fae4d30f41474523f2f253270744a41bed55fa8d2cd9d3f1e61190771f169247de33ef27ffb971e6c6e4be58014d321eb9f3c25e4810030efcbc2538b86
+DIST 3.2.0.tar.gz 1162843 BLAKE2B 79c864f4d74e2e8d382185abd16c873b64e745ac176a2aa162db37a86a3644d3f0d8ff83c6f2e2a1986d35dba18b5ce0769926a81afd8a193cf35c443f3a1097 SHA512 961aafd1f48033e538b6da2ceee11f98e4319944709b874ad78416790e7d42fd1a82e94a1625fbcd1dbf1fac52f7734be1f58684476e97a66ca63b13ccd7a626
+DIST 4.4.0.tar.gz 790589 BLAKE2B 655edfcfb99baf2b36cc8fea4ee12a1d2f6ed9740bbae0231d8e4daacbf8e2117cbcc12420c0d6eac56eb45dd91dd632e5544581b72063d7095ed6a4dc784c8c SHA512 5ca2cf57950986fdc0f3ed5962fa8ee914ac34bf46c702a0fe0323169060ae8f300406bcb5194fbf88b50aa41e6deb8fa2ee32fdf14eedb7fd9553b10240a2c9
diff --git a/gnome-extra/nemo-fileroller/nemo-fileroller-3.2.0.ebuild b/gnome-extra/nemo-fileroller/nemo-fileroller-3.2.0.ebuild
new file mode 100644
index 000000000000..83a06b536884
--- /dev/null
+++ b/gnome-extra/nemo-fileroller/nemo-fileroller-3.2.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="File Roller integration for Nemo"
+HOMEPAGE="https://github.com/linuxmint/nemo-extensions"
+SRC_URI="https://github.com/linuxmint/nemo-extensions/archive/${PV}.tar.gz"
+S="${WORKDIR}/nemo-extensions-${PV}/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="doc"
+
+DEPEND="app-arch/file-roller
+ >=gnome-extra/nemo-${PV}[introspection]"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ if [[ ! -e configure ]] ; then
+ ./autogen.sh || die
+ fi
+}
diff --git a/gnome-extra/nemo-fileroller/nemo-fileroller-4.4.0.ebuild b/gnome-extra/nemo-fileroller/nemo-fileroller-4.4.0.ebuild
new file mode 100644
index 000000000000..a35d1af48b05
--- /dev/null
+++ b/gnome-extra/nemo-fileroller/nemo-fileroller-4.4.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="File Roller integration for Nemo"
+HOMEPAGE="https://github.com/linuxmint/nemo-extensions"
+SRC_URI="https://github.com/linuxmint/nemo-extensions/archive/${PV}.tar.gz"
+S="${WORKDIR}/nemo-extensions-${PV}/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="doc"
+
+DEPEND="app-arch/file-roller
+ >=gnome-extra/nemo-${PV}"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ if [[ ! -e configure ]] ; then
+ ./autogen.sh || die
+ fi
+}
diff --git a/gnome-extra/nemo-fileroller/nemo-fileroller-4.6.0.ebuild b/gnome-extra/nemo-fileroller/nemo-fileroller-4.6.0.ebuild
deleted file mode 100644
index 06de99fc4051..000000000000
--- a/gnome-extra/nemo-fileroller/nemo-fileroller-4.6.0.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools
-
-DESCRIPTION="Nemo file-roller integration"
-HOMEPAGE="https://github.com/linuxmint/nemo-extensions"
-SRC_URI="https://github.com/linuxmint/nemo-extensions/archive/${PV}.tar.gz -> nemo-extensions-${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-DEPEND="gnome-extra/nemo"
-RDEPEND="${DEPEND}
- app-arch/file-roller"
-
-S="${WORKDIR}/nemo-extensions-${PV}/${PN}"
-
-src_prepare() {
- default
- eautoreconf
-}
-
-src_install() {
- default
-
- find "${D}" \( -name '*.a' -o -name '*.la' \) -delete || die
-}
diff --git a/profiles/base/package.use.force b/profiles/base/package.use.force
index 42279de9a322..f22ebf46905a 100644
--- a/profiles/base/package.use.force
+++ b/profiles/base/package.use.force
@@ -136,7 +136,6 @@ app-shells/bash:0 readline
# Force-enable all PYTHON_TARGETS for python-exec to avoid using private
# API. Please remember to keep it in sync with python_targets.desc.
dev-lang/python-exec python_targets_python2_7
-dev-lang/python-exec python_targets_python3_5
dev-lang/python-exec python_targets_python3_6
dev-lang/python-exec python_targets_python3_7
dev-lang/python-exec python_targets_python3_8
diff --git a/profiles/desc/python_single_target.desc b/profiles/desc/python_single_target.desc
index d8a46ee38373..0d41a4d7c070 100644
--- a/profiles/desc/python_single_target.desc
+++ b/profiles/desc/python_single_target.desc
@@ -4,7 +4,6 @@
# This file contains descriptions of PYTHON_SINGLE_TARGET USE_EXPAND flags.
python2_7 - Build for Python 2.7 only
-python3_5 - Build for Python 3.5 only
python3_6 - Build for Python 3.6 only
python3_7 - Build for Python 3.7 only
python3_8 - Build for Python 3.8 only
diff --git a/profiles/desc/python_targets.desc b/profiles/desc/python_targets.desc
index ef897aec384e..82509a0c8551 100644
--- a/profiles/desc/python_targets.desc
+++ b/profiles/desc/python_targets.desc
@@ -4,7 +4,6 @@
# This file contains descriptions of PYTHON_TARGETS USE_EXPAND flags.
python2_7 - Build with Python 2.7
-python3_5 - Build with Python 3.5
python3_6 - Build with Python 3.6
python3_7 - Build with Python 3.7
python3_8 - Build with Python 3.8